Bug 173645 - Gaim UI freeze while connecting to MSN via a non-responsive http proxy.
Gaim UI freeze while connecting to MSN via a non-responsive http proxy.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 14:47 EST by Welton rodrigo torres nascimento
Modified: 2008-02-12 20:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 20:00:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -o log -ff gaim -n -d (2.49 KB, text/plain)
2005-11-18 14:49 EST, Welton rodrigo torres nascimento
no flags Details
strace -o log -ff gaim -n -d (fork trace) (79.36 KB, text/plain)
2005-11-18 14:50 EST, Welton rodrigo torres nascimento
no flags Details
strace -o log -ff gaim -n -d (second fork trace) (873 bytes, text/plain)
2005-11-18 14:51 EST, Welton rodrigo torres nascimento
no flags Details
ethereal capture file (564 bytes, text/plain)
2005-11-18 14:52 EST, Welton rodrigo torres nascimento
no flags Details
ethereal capture file (564 bytes, application/octet-stream)
2005-11-18 14:53 EST, Welton rodrigo torres nascimento
no flags Details

  None (edit)
Description Welton rodrigo torres nascimento 2005-11-18 14:47:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051021 Flock/0.4 Firefox/1.0+

Description of problem:
When using this proxy: 207.93.243.160:3128 as MSN proxy via HTTP method, Gaim UI freeze. However, CTRL-C in console make it quit normally.

Setting up localhost:25000 as proxy, makes gaim behave normally, with no service running on that port.

Version-Release number of selected component (if applicable):
gaim-1.5.0-9.fc3

How reproducible:
Always

Steps to Reproduce:
1. Set up this proxy on msn options: 207.93.243.160:3128, HTTP method.
2. Try to connect to msn.
  

Actual Results:  Gaim UI Freezes without connecting.

Expected Results:  Connecting progress window should appear.

Additional info:

I managed to reproduce this every time. 
strace output follows, note that the line
write(13, "POST http://gateway.messenger.ho"..., 374) = -1 EAGAIN (Resource temporarily unavailable)
repeats million times, I edited them out.
Ethereal capture follows up. Filter "host 207.93.243.160"
Comment 1 Welton rodrigo torres nascimento 2005-11-18 14:49:23 EST
Created attachment 121245 [details]
strace -o log -ff gaim -n -d

Output edited, line
write(13, "POST http://gateway.messenger.ho"..., 374) = -1 EAGAIN (Resource
temporarily unavailable)
was repeated million times.
Comment 2 Welton rodrigo torres nascimento 2005-11-18 14:50:40 EST
Created attachment 121247 [details]
strace -o log -ff gaim -n -d (fork trace)
Comment 3 Welton rodrigo torres nascimento 2005-11-18 14:51:23 EST
Created attachment 121248 [details]
strace -o log -ff gaim -n -d (second fork trace)
Comment 4 Welton rodrigo torres nascimento 2005-11-18 14:52:36 EST
Created attachment 121250 [details]
ethereal capture file

filter used: 

host 207.93.243.160
Comment 5 Welton rodrigo torres nascimento 2005-11-18 14:53:11 EST
Created attachment 121251 [details]
ethereal capture file

filter used: 

host 207.93.243.160
Comment 6 Welton rodrigo torres nascimento 2005-11-18 15:00:14 EST
(In reply to comment #0)

> Setting up localhost:25000 as proxy, makes gaim behave normally, with no
service running on that port.

ie.: gaim fails to connect. ;)
Comment 7 Luke Schierer 2006-04-10 11:15:46 EDT
I'm going to bet that the non-blocking stuff we have for 2.0.0 (some of it is in
beta3) will help significantly with this bug. 
Comment 8 Stu Tomlinson 2006-04-10 11:23:13 EDT
Don't try beta3 though, because the same non-blocking changes also broke MSN's
http method, so it still won't work.
Comment 9 Matthew Miller 2006-07-10 18:37:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 10 petrosyan 2008-02-12 20:00:49 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.